#include "iRRAM.h"

DYADIC glob_arg,glob_result;
long glob_precision;

// iRRAM-routine to compute a DYADIC cosine on the globals args:
void compute_cos() {
  glob_result=approx(cos(REAL(glob_arg)),glob_precision);
}

// NON-iRRAM-routine to compute a DYADIC cosine on arbitrary DYADIC args: 
DYADIC cos(DYADIC x, long p) {
  glob_arg=x;
  glob_precision=p;
  iRRAM_exec(compute_cos);
  return glob_result;
}  


// main routine that internally calls iRRAM three times:
int main (int argc,char **argv)
{
iRRAM_initialize(argc,argv);
DYADIC d=2,d2;

d2=cos(d,-10);

rwrite(cos(d,-1000),100);rprintf("\n");

rwrite(cos(d,-1000),100);rprintf("\n");

}


